| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csProcAnimated Class Reference

Procedural texture for animated images. More...

`#include <cstool/proctxtanim.h>`

Inheritance diagram for csProcAnimated:

[legend]
List of all members.

## Public Member Functions
virtual void | Animate (csTicks current_time)
| Animate this texture.
virtual bool | PrepareAnim ()
| Prepare the animation for use.

## Detailed Description

Procedural texture for animated images.

Definition at line 35 of file proctxtanim.h.

## Member Function Documentation

virtual void csProcAnimated::Animate | ( | csTicks | current_time | ) | `[virtual]`

Animate this texture.

Subclasses of csProcTexture must implement this to implement some kind of animation on the procedural texture.

Implements csProcTexture.

virtual bool csProcAnimated::PrepareAnim | ( |  | ) | `[virtual]`

Prepare the animation for use.

Reimplemented from csProcTexture.

The documentation for this class was generated from the following file:

- cstool/proctxtanim.h